#ifndef LCD_USB_DISPLAY_H
#define LCD_USB_DISPLAY_H

#include "lcd.h"

MODULE_EXPORT int  usb_display_init (Driver *drvthis);
MODULE_EXPORT void usb_display_close (Driver *drvthis);
MODULE_EXPORT int  usb_display_width (Driver *drvthis);
MODULE_EXPORT int  usb_display_height (Driver *drvthis);
MODULE_EXPORT void usb_display_clear (Driver *drvthis);
MODULE_EXPORT void usb_display_flush (Driver *drvthis);
MODULE_EXPORT void usb_display_string (Driver *drvthis, int x, int y, const char string[]);
MODULE_EXPORT void usb_display_chr (Driver *drvthis, int x, int y, char c);
MODULE_EXPORT void usb_display_set_contrast (Driver *drvthis, int promille);
MODULE_EXPORT void usb_display_backlight (Driver *drvthis, int on);

#define TEXTDRV_DEFAULT_SIZE "122x3"

#endif
